Skip to main content

List the credentials in the scope of a role

GET 

/api/v1/RolesRole/:roleId/SearchCredentials

Returns the credentials and credential groups that are in the scope of a role, as a page of results that you can filter and sort. Host users in the scope appear as credential rows.

Permission required: Administrator role.

Values for entityType: 0 = Credential, 1 = CredentialGroup, 2 = HostUser.

Values for credentialType: 0 = Configuration, 1 = User, 2 = Service, 3 = ActivityToken, 4 = Application, 5 = VaultUser, 6 = SshKeyCert.

Values for managedType: 0 = Internal, 1 = Standard, 2 = Service.

Values for rotationType: 0 = NotManaged, 1 = Manual, 2 = Automatic.

Values for passwordStatus: 0 = Unspecified, 1 = Verified, 2 = Pending, 3 = Changed, 4 = Failed, 5 = Mismatch.

Request​

Responses​

Returns a page of results in data, with the total number of matching rows in recordsTotal.